Update a post
Update a feedback post's title, description, status, or tags.
Introduction
The FeatureOS update post API allows you to update a post in your organization.
PUT
https://api.featureos.app/api/v3/feature_requests/:id
curl -X PUT 'https://api.featureos.app/api/v3/feature_requests/:id' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| ALLOW-PRIVATE | false | Set to true if filtering out a private board’s posts. |
| Authorization | - | Generate a unique JWT token that is specific to a user |
Body Parameters
| Parameter | Format | Description |
|---|---|---|
| title | String | The title of the post. Also used to generate the slug. |
| description | Text | The description of the post. HTML is allowed. |
| attachments[] | File | Upload up to 5 images that will be added to the end of the description. Each image can be either a 'jpeg', 'jpg', 'png' or 'gif' file and a max size of 10 MB. |
| bucket_id | Integer | The ID of the bucket returned in the list buckets endpoint. Needs ALLOW-PRIVATE header to be set if it is a private board ID. |
| approval_status | String | approved - To approve the post, pending - To move the post to pending |
| state_id | Integer | Custom status ID. The ID of the state returned in the organization's info endpoint. |
| status | String | closed - To close and approve the post. For updating other statuses, use the "state_id" parameter. Soon this will be deprecated. |
| jira_issue_id | String | The Jira issue ID that needs to be linked to the post. Check the linked_resource_details object for the requested jira issue linking status. |
| score_type | String | The scoring method to use. Options: value_vs_effort or rice |
| value | String | Value score (1-5) when using value_vs_effort scoring method |
| effort | String | Effort score (1-5) when using value_vs_effort scoring method |
| effort_rice | String | Effort score when using rice scoring method |
| impact | String | Impact score when using rice scoring method |
| reach | String | Reach score when using rice scoring method |
| confidence | String | Confidence score when using rice scoring method |
Sample response
Note: The score object in the response will vary based on the scoring method used:
- For
value_vs_effortscoring:
"score": {
"aggregate": 5.0,
"score_type": "value_vs_effort",
"value": 5.0,
"effort": 1.0
}
- For
ricescoring:
"score": {
"aggregate": 10.0,
"score_type": "rice",
"reach": 4.0,
"impact": 1.0,
"confidence": 5.0,
"effort_rice": 2.0
}